+88 01797-506292

Post Date: July 14, 2017
Posted By: admin

An error message will show if you run Cakephp 2.5 in PHP 7. The error message is given below. The error is occurred due to Cakephp 2.5 is not compatible with PHP 7. There is an easy way to solve this issue and run cakephp 2.5 in PHP 7.

Fatal error: Cannot use ‘String’ as class name as it is reserved in /project_name/lib/Cake/Utility/String.php on line 24

 

Solution

Just download the Cakephp 2.8.0 by clicking here and copy the lib directory, then overwrite the lib directory from your project/cakephp 2.5

Leave a Reply

Your email address will not be published. Required fields are marked *